import request from '@/utils/request'

// 查询注册-家长列表
export function listParents(query) {
  return request({
    url: '/register/parents/list',
    method: 'get',
    params: query
  })
}

// 查询注册-家长详细
export function getParents(id) {
  return request({
    url: '/register/parents/' + id,
    method: 'get'
  })
}

// 新增注册-家长
export function addParents(data) {
  return request({
    url: '/register/parents',
    method: 'post',
    data: data
  })
}

// 修改注册-家长
export function updateParents(data) {
  return request({
    url: '/register/parents',
    method: 'put',
    data: data
  })
}

// 删除注册-家长
export function delParents(id) {
  return request({
    url: '/register/parents/delete/' + id,
    method: 'get'
  })
}
